%installHLfunctions.m
%
% unzip and add folders to the Matlab path
% needed to perform the worked examples in
% Bayesian Data Analysis for the Behavioral and Neural Sciences, TE Hudson
%
% teh wrote it [3.14.21]


unzip('code repository',pwd)
delete('code repository*.zip')
try rmdir('__MACOSX','s'); end
movefile([pwd '/code repository/HLm-files'],[pwd '/HLm-files'])
movefile([pwd '/code repository/HLmat-files'],[pwd '/HLmat-files'])
rmdir('code repository*','s')

addpath(genpath('HLm-files'))
addpath('HLmat-files')
savepath


disp('Success! Code is installed.')
try web('https://www.hudsonlab.org/textbookresources');
	disp('Now let''s get started with programming basics');
catch
	disp('Now let''s get started with programming basics')
	disp('by visiting: www.hudsonlab.org/textbookresources'); end
delete installHLfunctions*